> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/promo-codes/promo-codes.md).

# Promo Codes

## List all promo codes

> Returns a list of promo codes in your program.

```json
{"openapi":"3.1.0","info":{"title":"Brand Promo Codes API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"PromoCode":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the promo code."},"Code":{"type":"string","description":"The promo code value."},"Type":{"type":"string","description":"LI for Exact match, RE for Regex.","enum":["LI","RE"]},"CreditPolicy":{"type":"string","description":"How credit is awarded for actions involving this code.","enum":["ALWAYS","INVOLVED","WINNER"]},"CampaignId":{"type":"integer","description":"The unique identifier of the program this promo code applies to."},"CampaignName":{"type":"string","description":"The display name of the program."},"AssignedPartnerId":{"type":"integer","description":"The unique identifier of the partner this promo code is assigned to."},"AssignedPartnerName":{"type":"string","description":"The display name of the assigned partner."},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the promo code was created."},"StartDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the promo code becomes active."},"EndDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the promo code expires."},"State":{"type":"string","description":"The current state of the promo code.","enum":["ACTIVE","INACTIVE"]},"DealId":{"type":"integer","nullable":true,"description":"The unique identifier of the Deal this promo code is linked to, if any."},"DealName":{"type":"string","nullable":true,"description":"The display name of the linked Deal."},"DealState":{"type":"string","nullable":true,"description":"The state of the linked Deal."},"DealType":{"type":"string","nullable":true,"description":"The type of the linked Deal."},"DealScope":{"type":"string","nullable":true,"description":"The scope of the linked Deal."},"DealStartDate":{"type":"string","format":"date-time","nullable":true,"description":"The start date of the linked Deal."},"DealEndDate":{"type":"string","format":"date-time","nullable":true,"description":"The end date of the linked Deal."},"DiscountType":{"type":"string","nullable":true,"description":"How the discount is calculated."},"DiscountAmount":{"type":"number","format":"decimal","nullable":true,"description":"The flat discount amount, when DiscountType is FIXED."},"DiscountCurrency":{"type":"string","nullable":true,"description":"Three-letter ISO 4217 currency code for the discount."},"DiscountPercent":{"type":"number","format":"float","nullable":true,"description":"The discount percentage, when DiscountType is PERCENT."},"MinimumPurchaseAmount":{"type":"number","format":"decimal","nullable":true,"description":"The minimum order amount required for the deal to apply."},"MaximumSavingsAmount":{"type":"number","format":"decimal","nullable":true,"description":"The maximum total savings the deal can apply to a single order."},"PurchaseLimitQuantity":{"type":"integer","description":"Maximum number of times the deal can be applied per order."},"BogoBuyQuantity":{"type":"integer","description":"Quantity the customer must buy in a BOGO deal."},"BogoBuyName":{"type":"string","nullable":true,"description":"Name of the item the customer must buy in a BOGO deal."},"BogoGetQuantity":{"type":"integer","description":"Quantity the customer receives in a BOGO deal."},"BogoGetName":{"type":"string","nullable":true,"description":"Name of the item the customer receives in a BOGO deal."},"BogoGetDiscountType":{"type":"string","nullable":true,"description":"How the discount on the \"get\" item is calculated in a BOGO deal."},"SynchAdsPromoCodes":{"type":"boolean","description":"Whether to synchronize promo codes with ads."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this promo code in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/PromoCodes":{"get":{"operationId":"listPromoCodes","tags":["Promo Codes"],"summary":"List all promo codes","description":"Returns a list of promo codes in your program.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"CampaignId","in":"query","required":false,"description":"Filter by program ID.","schema":{"type":"integer"}},{"name":"Code","in":"query","required":false,"description":"Filter by a specific UTF-8 URL-encoded promo code.","schema":{"type":"string"}},{"name":"StartDate","in":"query","required":false,"description":"Filter by start date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"EndDate","in":"query","required":false,"description":"Filter by end date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"State","in":"query","required":false,"description":"Filter by promo code state.","schema":{"type":"string","enum":["ACTIVE","INACTIVE"]}}],"responses":{"200":{"description":"A list of promo code objects.","content":{"application/json":{"schema":{"type":"object","properties":{"PromoCodes":{"type":"array","description":"The list of promo code objects.","items":{"$ref":"#/components/schemas/PromoCode"}}}}}}}}}}}}
```

## Create a promo code

> Creates a new promo code for tracking partner-driven actions.

```json
{"openapi":"3.1.0","info":{"title":"Brand Promo Codes API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"StatusUriResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected promo code."}}}}},"paths":{"/Advertisers/{AccountSID}/PromoCodes":{"post":{"operationId":"createPromoCode","tags":["Promo Codes"],"summary":"Create a promo code","description":"Creates a new promo code for tracking partner-driven actions.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","required":["AssignedPartnerId","CampaignId","CreditPolicy","Code","Type"],"properties":{"AssignedPartnerId":{"type":"integer","description":"The partner account ID this promo code is assigned to."},"CampaignId":{"type":"integer","description":"The program ID this promo code applies to."},"CreditPolicy":{"type":"string","description":"How credit is awarded for actions involving this code.","enum":["ALWAYS","INVOLVED","WINNER"]},"Code":{"type":"string","description":"The promo code value."},"Type":{"type":"string","description":"LI for Exact match, RE for Regex.","enum":["LI","RE"]},"StartDate":{"type":"string","format":"date-time","description":"The date and time the promo code becomes active."},"EndDate":{"type":"string","format":"date-time","description":"The date and time the promo code expires."},"DealId":{"type":"integer","description":"The unique identifier of a Deal to link this promo code to."},"DealName":{"type":"string","description":"The display name of the linked Deal."}}}}}},"responses":{"200":{"description":"The promo code was created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusUriResponse"}}}}}}}}}
```

## GET /Advertisers/{AccountSID}/PromoCodes/{PromoCodeId}

> Retrieve a promo code

```json
{"openapi":"3.1.0","info":{"title":"Brand Promo Codes API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"PromoCode":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the promo code."},"Code":{"type":"string","description":"The promo code value."},"Type":{"type":"string","description":"LI for Exact match, RE for Regex.","enum":["LI","RE"]},"CreditPolicy":{"type":"string","description":"How credit is awarded for actions involving this code.","enum":["ALWAYS","INVOLVED","WINNER"]},"CampaignId":{"type":"integer","description":"The unique identifier of the program this promo code applies to."},"CampaignName":{"type":"string","description":"The display name of the program."},"AssignedPartnerId":{"type":"integer","description":"The unique identifier of the partner this promo code is assigned to."},"AssignedPartnerName":{"type":"string","description":"The display name of the assigned partner."},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the promo code was created."},"StartDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the promo code becomes active."},"EndDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the promo code expires."},"State":{"type":"string","description":"The current state of the promo code.","enum":["ACTIVE","INACTIVE"]},"DealId":{"type":"integer","nullable":true,"description":"The unique identifier of the Deal this promo code is linked to, if any."},"DealName":{"type":"string","nullable":true,"description":"The display name of the linked Deal."},"DealState":{"type":"string","nullable":true,"description":"The state of the linked Deal."},"DealType":{"type":"string","nullable":true,"description":"The type of the linked Deal."},"DealScope":{"type":"string","nullable":true,"description":"The scope of the linked Deal."},"DealStartDate":{"type":"string","format":"date-time","nullable":true,"description":"The start date of the linked Deal."},"DealEndDate":{"type":"string","format":"date-time","nullable":true,"description":"The end date of the linked Deal."},"DiscountType":{"type":"string","nullable":true,"description":"How the discount is calculated."},"DiscountAmount":{"type":"number","format":"decimal","nullable":true,"description":"The flat discount amount, when DiscountType is FIXED."},"DiscountCurrency":{"type":"string","nullable":true,"description":"Three-letter ISO 4217 currency code for the discount."},"DiscountPercent":{"type":"number","format":"float","nullable":true,"description":"The discount percentage, when DiscountType is PERCENT."},"MinimumPurchaseAmount":{"type":"number","format":"decimal","nullable":true,"description":"The minimum order amount required for the deal to apply."},"MaximumSavingsAmount":{"type":"number","format":"decimal","nullable":true,"description":"The maximum total savings the deal can apply to a single order."},"PurchaseLimitQuantity":{"type":"integer","description":"Maximum number of times the deal can be applied per order."},"BogoBuyQuantity":{"type":"integer","description":"Quantity the customer must buy in a BOGO deal."},"BogoBuyName":{"type":"string","nullable":true,"description":"Name of the item the customer must buy in a BOGO deal."},"BogoGetQuantity":{"type":"integer","description":"Quantity the customer receives in a BOGO deal."},"BogoGetName":{"type":"string","nullable":true,"description":"Name of the item the customer receives in a BOGO deal."},"BogoGetDiscountType":{"type":"string","nullable":true,"description":"How the discount on the \"get\" item is calculated in a BOGO deal."},"SynchAdsPromoCodes":{"type":"boolean","description":"Whether to synchronize promo codes with ads."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this promo code in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/PromoCodes/{PromoCodeId}":{"get":{"operationId":"getPromoCode","tags":["Promo Codes"],"summary":"Retrieve a promo code","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"PromoCodeId","in":"path","required":true,"description":"The unique identifier for the promo code.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A single promo code object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PromoCode"}}}}}}}}}
```

## Expire a promo code

> Deactivates the promo code. impact.com will no longer track its usage after expiration.

```json
{"openapi":"3.1.0","info":{"title":"Brand Promo Codes API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"StatusUriResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected promo code."}}}}},"paths":{"/Advertisers/{AccountSID}/PromoCodes/{PromoCodeId}":{"delete":{"operationId":"expirePromoCode","tags":["Promo Codes"],"summary":"Expire a promo code","description":"Deactivates the promo code. impact.com will no longer track its usage after expiration.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"PromoCodeId","in":"path","required":true,"description":"The unique identifier for the promo code to expire.","schema":{"type":"integer"}}],"responses":{"200":{"description":"The promo code was successfully expired.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusUriResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/promo-codes/promo-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
